<?php
session_start();
require("../../database/dbConection.php");

$opcaoSenha           = $_POST['opcaoSenha'];
$idRegistroAlteracao  = $_POST['idRegistroAlteracao'];

if($opcaoSenha=="nova_senha_aleatoria"){
  $novaSenhaMostrar = substr(md5(uniqid(rand(), true)), 0, 8);
  $novaSenhaGravar  = sha1($novaSenhaMostrar);
  $sqlUpdateSenha   = "UPDATE reg_tb_usuario set senha_usuario='$novaSenhaGravar' WHERE id_usuario='$idRegistroAlteracao'";
  $stmlUpdateSenha  = $rsConexao->prepare($sqlUpdateSenha);
  $stmlUpdateSenha  -> execute();

  echo "A nova senha gerada é: $novaSenhaMostrar";
}

if($opcaoSenha=="alteracao_senha"){
  
  $senhaAtual = sha1($_POST['senhaAtual']);
  $novaSenha  = sha1($_POST['novaSenha']);
  
  $sqlAnalisaSenhaAtual   = "SELECT count(id_usuario) as totalRegistros FROM reg_tb_usuario WHERE senha_usuario=? AND id_usuario=?";
  $stmlAnalisaSenhaAtual  = $rsConexao->prepare($sqlAnalisaSenhaAtual);
  $stmlAnalisaSenhaAtual -> bindValue(1, $senhaAtual);
  $stmlAnalisaSenhaAtual -> bindValue(2, $idRegistroAlteracao);  
  $stmlAnalisaSenhaAtual  -> execute();
  $rsAnalisaSenhaAtual   = $stmlAnalisaSenhaAtual->fetch(PDO::FETCH_OBJ);

  if($rsAnalisaSenhaAtual->totalRegistros == 0){
    echo "A senha atual digitada não confere com a senha cadastrada. Digite a senha correta.#error";
  }else{
    $sqlUpdateSenha   = "UPDATE reg_tb_usuario set senha_usuario='$novaSenha' WHERE id_usuario='$idRegistroAlteracao'";
    $stmlUpdateSenha  = $rsConexao->prepare($sqlUpdateSenha);
    $stmlUpdateSenha  -> execute();
    echo "Senha alterada com sucesso.#success";
  }

}

?>